package vip.xiaonuo.erp.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;
import vip.xiaonuo.erp.entity.caigou.*;
import vip.xiaonuo.erp.entity.kucun.YangMaoZhiGongYingShang;
import vip.xiaonuo.erp.service.IErpCaiGouService;
import vip.xiaonuo.erp.service.IErpShengChanService;

import java.util.List;


@Service
public class ErpCaiGouServiceImpl implements IErpCaiGouService {
    @Autowired
    private RestTemplate restTemplate;


    @Override
    public void getCaiGouDingDanJinE() {
        ResponseEntity<List<CaiGouDingDanShuLiangJinE>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouDingDanShuLiangJinE?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouDingDanShuLiangJinE>>() {}
        );
        List<CaiGouDingDanShuLiangJinE> forObjects = response.getBody();
        System.out.println(forObjects);
    }

    @Override
    public void getCaiGouRuKuJinE() {
        ResponseEntity<List<CaiGouRuKu>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouRuku?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouRuKu>>() {}
        );
        List<CaiGouRuKu> forObjects = response.getBody();
        System.out.println(forObjects);
    }

    @Override
    public void getCaiGouFaPiaoJinE() {
        ResponseEntity<List<FaPiaoJinE>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouFaPiao?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<FaPiaoJinE>>() {}
        );
        List<FaPiaoJinE> forObjects = response.getBody();
        System.out.println(forObjects);
    }

    @Override
    public void getLeiJiRuKu() {
        ResponseEntity<List<LeiJiRuKu>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getLeiJiRuKu?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<LeiJiRuKu>>() {}
        );
        List<LeiJiRuKu> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getShouLiaoJinE() {
        ResponseEntity<List<ShouLiaoJinE>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getShouLiaoJinE?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<ShouLiaoJinE>>() {}
        );
        List<ShouLiaoJinE> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getJiaoHuoShuLiang() {
        ResponseEntity<List<JiaoHuoShuliang>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getJiaoHuoShuLiang?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<JiaoHuoShuliang>>() {}
        );
        List<JiaoHuoShuliang> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getCaiGouShuLiang() {
        ResponseEntity<List<CaiGouShuLiang>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouShuLiang?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouShuLiang>>() {}
        );
        List<CaiGouShuLiang> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getCaiGouDingDanShuLiang() {
        ResponseEntity<List<CaiGouDingDanShuLiangJinE>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouDingDanShuLiangJinE?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouDingDanShuLiangJinE>>() {}
        );
        List<CaiGouDingDanShuLiangJinE> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getDaiJianShuLiang() {
        ResponseEntity<List<DaiJianShuLiang>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getDaiJianShuLiang?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<DaiJianShuLiang>>() {}
        );
        List<DaiJianShuLiang> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getShangNianCaiGou() {
        ResponseEntity<List<CaiGouYueJun>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouYueJun?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouYueJun>>() {}
        );
        List<CaiGouYueJun> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getYingFuZhangKuanMingXi() {
        ResponseEntity<List<YingFuZhangKuan>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getYingFuZhangKuang?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<YingFuZhangKuan>>() {}
        );
        List<YingFuZhangKuan> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getDanPinJiaGe() {
        ResponseEntity<List<CaiGouDingDanShuLiangJinE>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouDingDanShuLiangJinE?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouDingDanShuLiangJinE>>() {}
        );
        List<CaiGouDingDanShuLiangJinE> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getZuiDiKuCun() {
        ResponseEntity<List<ZuiDiKuChun>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getZuiDiKuChun?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<ZuiDiKuChun>>() {}
        );
        List<ZuiDiKuChun> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getCaiGouDingDanShuLiangJinE() {
        ResponseEntity<List<CaiGouDingDanShuLiangJinE>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouDingDanShuLiangJinE?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouDingDanShuLiangJinE>>() {}
        );
        List<CaiGouDingDanShuLiangJinE> forObjects = response.getBody();
        System.out.println(forObjects);

    }

    @Override
    public void getCaiGouHeTongShuLiangJinE() {
        ResponseEntity<List<CaiGouDingDanShuLiangJinE>> response = restTemplate.exchange(
                "http://127.0.0.1:9200/erp-caiGou/getCaiGouHeTongShuLiangJinE?date=",
                HttpMethod.GET,
                null,
                new ParameterizedTypeReference<List<CaiGouDingDanShuLiangJinE>>() {}
        );
        List<CaiGouDingDanShuLiangJinE> forObjects = response.getBody();
        System.out.println(forObjects);

    }
}
